# Originally imported from fedora

Summary:	Alternatives Configurator
Name:		galternatives
Version:	0.13.5
Release:	%mkrel 1
License:	GPL+
Group:		System/Configuration/Packaging
URL:		http://packages.qa.debian.org/g/galternatives.html
Source0:	http://ftp.debian.org/debian/pool/main/g/%{name}/%{name}_%{version}.tar.xz
Source1:	org.fedoraproject.pkexec.run-galternatives.policy
Source2:	%name.png
Patch0:		galternatives-desktop.patch
Patch1:		galternatives-misc-fixes.patch
BuildRequires:	pygtk2.0-devel
BuildRequires:  pygtk2.0-libglade
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
Requires:	usermode
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	/usr/sbin/update-alternatives
BuildArch:	noarch

%description
Graphical setup tool for the alternatives system. A GUI to help the system
administrator to choose what program should provide a given service.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
 
# To silence rpmlint
sed -i '/^#!\/usr\/bin\/python/ d' galternatives/*.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install  --delete-original			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	galternatives.desktop

# polkit wrapper
mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/galternatives %{buildroot}%{_sbindir}
cat << EOF > %{buildroot}%{_bindir}/galternatives
#!/bin/bash

pkexec --disable-internal-agent "%{_sbindir}/galternatives" "\$@"
EOF

chmod 755 %{buildroot}%{_bindir}/galternatives

# polkit policy
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
cp -a %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/

# install icon
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%name.png

# pam stuff
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/galternatives
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	sufficient	pam_timestamp.so
auth	include		system-auth
session	required	pam_permit.so
session	optional	pam_xauth.so
session	optional	pam_timestamp.so
account	required	pam_permit.so
EOF

pushd translations
LANGS=$(find . -name \*.po | cut -d '.' -f 2 | tr -d '/')
for lang in ${LANGS};	do
	echo ${lang}:
	mkdir -p %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES
	cp ${lang}.mo  %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/galternatives.mo
done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc TODO debian/changelog debian/copyright
%config(noreplace) %{_sysconfdir}/pam.d/galternatives
%config(noreplace) %{_datadir}/polkit-1/actions/*galternatives.policy
%{_bindir}/galternatives
%{_sbindir}/galternatives
%{python_sitelib}/galternatives/
%{python_sitelib}/galternatives*.egg-info
%{_datadir}/applications/galternatives.desktop
%{_datadir}/galternatives/
%{_datadir}/pixmaps/galternatives.png


%changelog
* Mon Nov 12 2018 adrianomorselli <adrianomorselli> 0.13.5-1uplos2018
- imported for uplos
